﻿@model parcialPecha.ViewModels.VentaVM

@{
    ViewBag.Title = "Alta de nueva venta";
    //List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Alta de nueva Venta</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label id="nombre" class="col-sm-6 control-label">Nombre de Cliente</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.ventaModel.nombreCliente, htmlAttributes: new { @class = "form-control", @id = "txtNombreCliente" })
                        @Html.ValidationMessageFor(model => model.ventaModel.nombreCliente, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Forma de Pago</label>
                    <div class="col-sm-6">
                        @Html.DropDownListFor(model => model.ventaModel.IdFormaPago, new SelectList(Model.formaPago, "id", "nombre"), "Seleccione la forma de pago", htmlAttributes: new { @class = "form-control", @id = "idFormaPago"})
                        @Html.ValidationMessageFor(model => model.ventaModel.IdFormaPago, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Planes Cuotas</label>
                    <div class="col-sm-6">
                        @Html.DropDownListFor(model => model.ventaModel.IdPlanesCuotas, new SelectList(Model.planesCuota, "id", "cantidadCuotas"), "Seleccione el plan de cuotas", htmlAttributes: new { @class = "form-control", @id = "idPlanCuotas" })
                        @Html.ValidationMessageFor(model => model.ventaModel.IdPlanesCuotas, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Importe</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.ventaModel.importe, htmlAttributes: new { @class = "form-control", @id = "txtImporte" })
                        @Html.ValidationMessageFor(model => model.ventaModel.importe, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit" onclick="validar()">Guardar Venta</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
@*<script>
    function validar() {

        let nombreCliente = document.getElementById('txtNombreCliente').value;
        let IdFormaPago = document.getElementById('idFormaPago').value;
        let importe = document.getElementById('txtImporte').value;

        if (!nombreCliente) {
            alert("El Nombre del Cliente es requerido");
        } else if (!IdFormaPago) {
            alert("La Forma de Pago es requerida!");
        } else if (!importe) {
            alert("El Importe es requerido");
        }
    }
</script>*@

